Bug 1027391 - [AMQP 1.0] process name and id not visible for 1.0 connections through mgmt
[AMQP 1.0] process name and id not visible for 1.0 connections through mgmt
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
3.0
Unspecified Unspecified
medium Severity unspecified
: 3.0
: ---
Assigned To: Gordon Sim
Ernie
: OtherQA
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-11-06 12:31 EST by Gordon Sim
Modified: 2015-01-21 07:55 EST (History)
5 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:55:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5291 None None None Never

  None (edit)
Description Gordon Sim 2013-11-06 12:31:52 EST
Description of problem:

The process id, parent process id and process name connection properties are not visible through management for AMQP 1.0 connections.

Version-Release number of selected component (if applicable):

qpid-0.24

How reproducible:

100%

Steps to Reproduce:
1. drain --connection-options {protocol:amqp1.0} -f amq.direct
2. qpid-stat -c

Actual results:

cproc and cpid are both blank for the 1.0 connection

Expected results:

cproc and cpid are populated correctly

Additional info:
Comment 1 Gordon Sim 2013-11-06 12:32:53 EST
Fixed upstream: https://svn.apache.org/r1538753
Comment 2 Ernie 2014-03-07 10:49:42 EST
Verified on RHEL 6.5 i686
qpid-cpp-client-0.22-35.el6.i686
python-qpid-0.22-11.el6.noarch
qpid-cpp-server-0.22-35.el6.i686
qpid-qmf-0.22-27.el6.i686
qpid-tools-0.22-8.el6.noarch
qpid-cpp-client-devel-0.22-35.el6.i686
qpid-proton-c-0.6-1.el6.i686
python-qpid-qmf-0.22-27.el6.i686

and verified on RHEL 6.5 x86_64
qpid-cpp-server-0.22-35.el6.x86_64
python-qpid-0.22-11.el6.noarch
qpid-proton-c-0.6-1.el6.x86_64
qpid-cpp-client-0.22-35.el6.x86_64
qpid-qmf-0.22-27.el6.x86_64
python-qpid-qmf-0.22-27.el6.x86_64
qpid-tools-0.22-8.el6.noarch
qpid-cpp-client-devel-0.22-35.el6.x86_64

output of qpid-stat -c when drain is using protocol amqp1.0 is now:

Connections
  connection                           cproc      cpid  mech       auth            connected  idle  msgIn  msgOut
  =================================================================================================================
  qpid.127.0.0.1:5672-127.0.0.1:35836  drain      7979  ANONYMOUS  anonymous@QPID  3s         0s       0      0
  qpid.[::1]:5672-[::1]:36334          qpid-stat  7981  ANONYMOUS  anonymous@QPID  0s         0s       1      0

Both cproc and cpid are present.

Note You need to log in before you can comment on or make changes to this bug.